next version - not yet released
==============================
 NEW    : Added optional fp32 (full float point) processing, fp16 is now half float point
 NEW    : Support for BluRay chapters
 CHANGED: The filters' settings are now saved in
          [HKCU\Software\Gabest\Media Player Classic\Filters]
 CHANGED: Updated libpng to v1.5.2
 CHANGED: Updated MediaInfoLib to v0.7.44
 CHANGED: Updated ZenLib to v0.4.19
 CHANGED: Updated SoundTouch to v1.5.1pre r104
 CHANGED: Updated Little CMS to v2.2a
 FIXED  : Ticket #285, Ambarella AVC not correctly splitted by MPC-HC's internal
          MP4/MOV source filter
 FIXED  : Ticket #384, disable Relative drive
 FIXED  : Ticket #640, Source tree refactoring
 FIXED  : Ticket #740, Make EVR Sync stats better looking
 FIXED  : Ticket #760, Fixed playback of old movs with 'raw', 'twos' and 'ima4' audio
 FIXED  : Ticket #805, EVR Custom scanline and refresh rate detection fails occasionally,
          causing superspeed video
 FIXED  : Ticket #829, MPC-HC plays recent BBC HD recordings with no video
 FIXED  : Ticket #965, Add Full File Path Parameter to Status.html
 FIXED  : Ticket #989, Sliders at options are consistent with volume slider.
          Scroll/button up will move slider up (increase the value) while going
          other way, scroll/button down will decrease the value.
 FIXED  : Ticket #1029, MPEG-2 Profile detected incorrectly with MPEG splitter
 FIXED  : Ticket #1032, MPC-HC64 does not work with Flash 64-bit
 FIXED  : Ticket #1128, Thumbnails wider than 2048p
 FIXED  : Ticket #1220, MPC fails to play specific MKV files
 FIXED  : Ticket #1321, IMpegSplitterFilter uses CString - should be WCHAR or BSTR instead


v1.5.1.2903 - 29 February 2011
==============================
 FIXED  : Crash on Sandy Bridge processor


v1.5.0.2827 - 31 January 2011
==============================
 NEW    : Added new options to always default to external subtitles, ignore
          embedded subtitles and to set the autoload subtitle paths
 NEW    : Added support for "in24", "fl64", 8-bit "sowt", "IMA4" and "NONE"
          audio (old QuickTime PCM)
 NEW    : Added support for "in24", "in32", "fl32", "fl64"
          (both big-endian and little-endian) in .mov files
 NEW    : Ticket #784, Enable ctrl+A in the MediaInfo window
 NEW    : [DVB] LCN support, added EPG current event information, offset parameter for
          scanning channels, added channel encryption detection for DVB-t during scan
 NEW    : Added ignore encrypted channels checkbox during DVB scan
 NEW    : Armenian translation
 CHANGED: Updated FFmpeg
 CHANGED: Updated MediaInfoLib to v0.7.39
 CHANGED: Updated ZenLib to v0.4.17
 CHANGED: Updated Little CMS to v2.1
 CHANGED: Updated libpng to v1.4.5
 CHANGED: Updated libogg to v1.2.2
 CHANGED: Updated libvorbis to v1.3.2
 CHANGED: Cleaned up and optimized code for QT PCM, small corrections in MP4Splitter
 CHANGED: DVB: the current channel audio stream is memorized and selected by default
          each time the channel is switched back
 CHANGED: Removed DSM Converter (use the legay branch if you need this feature)
 CHANGED: Removed RoQ splitter/decoder (same as above)
 FIXED  : Ticket #52,  [playlist] shuffle is broken
 FIXED  : Ticket #78,  ESC key cannot be assigned to other actions
 FIXED  : Ticket #293, giving "remember last window size" a meaning
 FIXED  : Ticket #564, EVR Sync enabled when it shouldn't be
 FIXED  : Ticket #627, Don't create the "AppData\Roaming\Media Player Classic"
          folder if the "Remember items" in playlist is disabled
 FIXED  : Ticket #628, Enable ctrl+A in Player-->Keys page
 FIXED  : Ticket #647, Weird "keys" listed
 FIXED  : Ticket #650, Non-media entry in playlist halts playback
 FIXED  : Ticket #651, Make EVR CP stats graph smaller
 FIXED  : Ticket #652, Escape key on certain form causes form to collapse
 FIXED  : Ticket #655, Crash with some BBC-HD samples
 FIXED  : Ticket #678, Remember last window size NOT working and mpc-hc.ini
 FIXED  : Ticket #698, VMR-9 (Renderless) + pixel shaders crashes
 FIXED  : Ticket #699, fix EAC3 mediatype and string
 FIXED  : Ticket #712, Audio renderer menu problem with Haali splitter after r2339
 FIXED  : Ticket #724, Frequency range and bandwidth value are currently
          not taken into account when doing a scan
 FIXED  : Ticket #753, DVB-T, internal MPEG-2 filter & wrong aspect ratio
 FIXED  : Ticket #775, Default options of DVD/OGM Preferred language should be
          "Default" not "English"
 FIXED  : Ticket #776, Mouse pointer hovering over window/video should be normal,
          not hand
 FIXED  : Ticket #778, Playlist interface problem
 FIXED  : Ticket #782, VMR-7 & 9 filter names misspelled
 FIXED  : Ticket #791, Change the cursor behavior
 FIXED  : Ticket #796, MPC HC window doesn't stay snapped to desktop corners
 FIXED  : Ticket #809, Resize-arrows no longer appear with caption hidden
 FIXED  : Ticket #889, [DVB] <enter> keypress in channel list makes whole pane grey
 FIXED  : Ticket #891, [DVB] clicking empty slot in channel list causes small playback
          hiccup
 FIXED  : Ticket #895, [DVB] some characters don't show in EPG OSD
 FIXED  : DVB Screen sizing: takes into account the TV Navigation panel
 FIXED  : Workaround to avoid madVR renderer freezing when switching DVB channels
 FIXED  : Bandwidth value was hardcoded to 8MHz when doing a scan or switching channels.
          The value entered in scan is now saved in the configuration


v1.4.2824.0 - 9 January 2011
==============================
 FIXED  : Crash on Sandy Bridge processor
 FIXED  : Freeze on fast forward with H264 decoder


v1.4.2499.0 - 7 September 2010
==============================
 NEW    : Seamless playback support for multi files BRD
 NEW    : Support for Windows 7 taskbar and thumbnails features
 NEW    : Added Catalan, Dutch and Japanese translations
 NEW    : VSFilter x64 is available
 NEW    : Added internal VP8 Decoder
 NEW    : MPC-HC can be compiled with MSVC2010 and Intel C++ Compiler
 NEW    : Support for MCE remote control (values added in AppCommand column in
          "Options/Player/Keys")
 NEW    : Support of Broadcom Video decoder for VC1, H.264 and MPEG-2
          (hardware acceleration)
 NEW    : Support for DVB subtitles
 NEW    : Open files to Recent Documents
 NEW    : AUTO HDMI MODE 1080p/24 support for fullscreen mode
 NEW    : Ticket #46, add number to AudioDevice list
 NEW    : Sync Renderer dialogs
 NEW    : Real Video decoder in MPCVideoDecoder
 NEW    : Support interlaced mode in fullscreen resolution list
 NEW    : Auto change fullscreen resolution for different video content
 NEW    : Fullscreen Options page
 NEW    : Video decoder, options for DXVA Compatibility check
 NEW    : Support for MPEG-2 bitstreaming in the DXVA decoder
 NEW    : Full screen resolution - support for native 23.976 and 29.97 mode
          (Vista and above only)
 NEW    : Auto resolution change for DVD
 NEW    : Always Exit after playback option
 NEW    : Support for SRM7500 remote control
 NEW    : New panel for switching DVB channels, audio and tuner scan
          accessible through View-->Navigation menu when in Capture mode
 NEW    : Automatically play next files in a folder
 NEW    : Implemented 'Quick add favorite' shortcut (default: Shift + Q)
          will use current settings from 'Add Favorite' dialog
 NEW    : Select D3D device for render, including DXVA if two or more video
          adapters are in the system (EVR Custom & VMR9-Renderless only)
 NEW    : Statistics - added render device
 NEW    : Ability to select OSD font & size
 NEW    : Option "Don't use 'search in folder' on commands 'Skip back/forward'
          when only one item in playlist"
 NEW    : H.264 L5.1 DXVA support for ATI cards with drivers > v8.14.1.6105
          (Catalyst 10.4)
 NEW    : MPCVideoDecoder, disable DXVA (H.264) for SD video (width < 1280)
 NEW    : Improved DXVA compatibility check
 NEW    : Implemented drag and drop folders with sub-folders
 NEW    : Support for MPEG-1/Layer1 audio stream in the Matroska splitter
 NEW    : Command to switch video frame mode (key 'P')
 NEW    : Video frame options like in TV: Zoom 1 and Zoom 2
 NEW    : Auto saving position every 30 seconds
 NEW    : Added internal filters context menu (disable/enable)
 NEW    : Command to reopen file (Ctrl+E)
 NEW    : Support for PGS in Matroska
 NEW    : Open root BD movie from command line & shell context menu
 NEW    : OSD messages added when switching audio stream or subtitles
 NEW    : OSD on Jump Forward/Backward (keyframe)
 NEW    : OSD when open DVD/BD
 NEW    : OSD for jump to chapter in file
 NEW    : Detect system UI language and set interface language at first run
 NEW    : Full ICC color management (Little CMS v2.1a library added)
 NEW    : Full floating point processing (FP16 temporary textures)
 NEW    : High-quality dithering (color management, full floating point
          processing, 10-bit -> 8-bit)
 NEW    : Option to force 10-bit EVR mixer input (probably hackish,
          but in many cases it seems to work)
 NEW    : Added MediaInfoLib (v0.7.35) (no need for MediaInfo.dll anymore)
 NEW    : Added support for MPEG-2_VLD DXVA for Intel G31/33
         (and maybe other Intel) chipset
 CHANGED: Updated UnrarDll. It is now possible to use the 64bit UnrarDll
          with the 64bit MPC-HC
 CHANGED: Updated Detours to v2.1 build 216
 CHANGED: Updated Bento4 to v1.2.3.0
 CHANGED: Updated libpng to v1.4.3
 CHANGED: Updated SoundTouch to v1.5.0
 CHANGED: Updated zlib to v1.2.5
 CHANGED: Updated libogg to v1.2.0
 CHANGED: Updated libvorbis to v1.3.1
 CHANGED: Updated PNGDIB to v3.1.0
 CHANGED: Updated sizecbar to v2.45
 CHANGED: Better support for madVR
 CHANGED: Updated Hungarian, Russian, Polish, Slovak, Portuguese, Ukrainian,
          Spanish, Swedish, Czech, Traditional Chinese, German, Italian, Turkish
          and Hungarian translations
 CHANGED: Updated FFmpeg
 CHANGED: Updated installer script
 CHANGED: "DirectShow Audio" label on playback->output now says "Audio Renderer"
 CHANGED: Ticket #27: Allow screensaver to activate when audio only
          (sleep is still stopped)
 CHANGED: Add open file to Recent Document only if "Keep history of recently
          opened files" is checked
 CHANGED: Select and change resolution for selected fullscreen monitor
 CHANGED: Improve options for fullscreen monitor and resolution
 CHANGED: Open DVD root folder (include VIDEO_TS) from explorer context menu
 CHANGED: Many internal code improvements for more stability
 CHANGED: Improved playlist
 CHANGED: Improved subtitle handling
 CHANGED: Rewritten DVXA check for better readability
 CHANGED: Disabled internal H.264 (AVC) decoder for interlaced files
          (bad supported by FFmpeg)
 CHANGED: Show filename in OSD at open, instead "Pause/Play"
 CHANGED: Add 'x64' suffix in Title and in the About dialog for the x64 build
 CHANGED: OSD file name at open show delay up to 3 sec.
 CHANGED: Core rendering code in the DX9AllocatorPresenter class is moved
          to a new class: DX9RenderingEngine
 CHANGED: "10 bit RGB" option changed to "10-bit RGB Output", does not affect
          internal processing anymore
 CHANGED: Removed unnecessary temporary texture allocations
 CHANGED: Removed old player logos and added a new one
 FIXED  : Name of MPC-HC in title bar (Bug #2826963)
 FIXED  : Web interface status.html not showing status/media state when
          Status bar is turned off (Bug #2025675)
 FIXED  : Ticket #12,  crash/hang after standby, hibernate, UAC or CTRL+ALT+DEL
 FIXED  : Ticket #74,  [MP4] AAC sound stops playing
 FIXED  : Ticket #116, issue with some MPEG (mono) audio playback
 FIXED  : Ticket #120, Inner PCM inside QT .mov is supported now
 FIXED  : Ticket #150, issue with playback AMR sound
 FIXED  : Ticket #161 and #414, "no audio capture device"
 FIXED  : Ticket #163, Crash with RealMedia
 FIXED  : Ticket #237, DVB channels are all saved as number 0 when tuning
 FIXED  : Ticket #242, No PCM sowt audio in MOV
 FIXED  : Ticket #258, speaker configuration in Audio Switcher isn't stored
 FIXED  : Ticket #281, [CAPTURE] No video decoding when capturing from DVB-T
          card with internal MPEG2 DVXA Decoder enabled
 FIXED  : Ticket #282, Auto-zoom function problem
 FIXED  : Ticket #295, SSA/ASS and other save subtitle formats problem
 FIXED  : Ticket #300, Regression when hiding Caption and Menubar
 FIXED  : Ticket #333, Missing tracks when playing a TS file
 FIXED  : Ticket #363, #563, Can't open some mp3
 FIXED  : Ticket #385, no chapters with MP4Splitter
 FIXED  : Ticket #455, Bug with PGS subtitles
 FIXED  : Ticket #456, Problem with auto-loading subtitles fixed
 FIXED  : Ticket #465, MPEG/TS splitter can't recognize some video track
 FIXED  : Ticket #477, Internal audio switcher
 FIXED  : Ticket #489, MPC-HC API improvements
 FIXED  : Ticket #502, Problem with D3D9Ex
 FIXED  : Ticket #513, .rmvb interlaced decoding
 FIXED  : Ticket #511, Subtitle renderer crash fixed
 FIXED  : Ticket #528, Unable to scan for dvb-t
 FIXED  : Ticket #536, [MKV] Default values of the specification should be
          strictly followed
 FIXED  : Ticket #576, Next AR Preset Issue
 FIXED  : Ticket #578, VSFilter crash fix with certain malformed drawing lines
 FIXED  : Ticket #599, ignores /audiorender option
 FIXED  : Ticket #601, BD movie length detect wrong
 FIXED  : Ticket #660, Pressing left arrow under Options->Logo causes right
          arrow to disappear
 FIXED  : Ticket #661, Ctrl+C / File->Close form size discrepancy
 FIXED  : Ticket #672, DVB-T - image problems after changing from TV channel
          to radio & back
 FIXED  : Ticket #677, Wrong colors using Color Management
 FIXED  : Ticket #679, add color management status in EVR CP graph settings
 FIXED  : Ticket #680, "Don't hide controls in full screen" does not work
          unless you move the mouse
 FIXED  : Ticket #694, DLL preloading vulnerability
 FIXED  : Ticket #696, [GUI] use options dialog causes main window elements
          to disappear
 FIXED  : Ticket #714, MPEG2 detected as H264
 FIXED  : Ticket #717, Fullscreen controls are not displayed until mouse is moved
 FIXED  : Opening multiple files via Explorer context menu
 FIXED  : Memory leak in libavcodec
 FIXED  : Memory leak in DXVA decoder
 FIXED  : Playback of some broken avi files
 FIXED  : Fix VCD playback
 FIXED  : Better detection of "Used For Reference Flags" (fixes some broken
          DXVA samples)
 FIXED  : Screensaver activating during video playback on XP
 FIXED  : Audio language detection for HDMV (broken by seamless playback feature)
 FIXED  : Bug with prevent sleep mode
 FIXED  : Bug in "Open File" dialog & "Add to Playlist" checked
 FIXED  : Default (center) window position after file close
 FIXED  : Issue with a switch to fullscreen mode
 FIXED  : FavoriteAdd dialog
 FIXED  : Possible buffer overflows
 FIXED  : Bug with launch in fullscreen
 FIXED  : Incorrect decoding with MPEG-2 bitstream decoder on video with
          alternative scan
 FIXED  : Seeking problem with MPEG files
 FIXED  : Don't show OSD message when auto play is disabled
 FIXED  : Checking for duplicates in display modes
 FIXED  : Correct state when done playback (rewind fix)
 FIXED  : Incorrect minimal window height calculation when caption is on
 FIXED  : Search in dir function
 FIXED  : Play video from network share
 FIXED  : Incorrect position (desktop) after fullscreen when playing multiple
          files on multi-monitor systems
 FIXED  : Playback issue for some H.264 media files captured from digital cameras
 FIXED  : Various DVB-T fixes
 FIXED  : DXVA regression: black video with some files
 FIXED  : Crash in Matroska splitter with unknown streams
 FIXED  : OSD shown wrong (previous) audio stream on change
 FIXED  : Improved DVD resume
 FIXED  : Crash with some VOB subtitles
 FIXED  : Undetected H.264 video streams in MPEG splitter
 FIXED  : Incorrect identification of the video stream in MPEG splitter
          (H.264 instead of MPEG-2)
 FIXED  : Logical/numeric sorting in Playlist, "Play next in the folder"
 FIXED  : OSD on open BD
 FIXED  : MPEGSplitter - could not read some MPEG files
 FIXED  : Crashes with MSVC2010 builds
 FIXED  : The EVR mixer output media subtype matches the surface format
          (as a consequence, it's always RGB)
 FIXED  : Incorrect length detection of MPEG, DVD (.ifo)


v1.3.1249.0 - 26 August 2009
============================
 NEW    : Support for FLAC audio streams
 NEW    : Support for Dolby Digital+ (EAC3) and Dolby true HD (MLP)
 NEW    : Nellymoser audio decoder
 NEW    : Belarusian, Brazilian and Swedish translation
 NEW    : New shader "Sharpen Complex 2" (required hardware compatible with
          pixel shader 2.A)
 NEW    : Support for madVR video renderer (http://madshi.net/madVR.zip)
 NEW    : Additional information on video using MediaInfo
          (DLL can be download from http://mediainfo.sourceforge.net
          and placed in MPC-HC directory)
 NEW    : Internal DXVA decoder support for H.264 with Intel G45
          (thanks to the people who helped me at Intel Corp.)
 CHANGED: Add support of interlaced flags in software mode for MPCVideoDecoder
          filter
 CHANGED: D3DFullScreen mode now takes into account the monitor to full-screen
          mode in options, if monitor is not specified on the command line
 CHANGED: Auto-hide playlist on fullscreen (feature request #2219561)
 CHANGED: Detours library updated to v2.1
 CHANGED: Support for AC3 in MP4 splitter
 CHANGED: Support for EAC3 in Matroska splitter
 CHANGED: Hotkeys added to support more remote control keys
 CHANGED: Support for Theora in Matroska internal splitter
 CHANGED: libvorbis updated to v1.2.3
 CHANGED: libogg updated to v1.1.4
 CHANGED: Improved streaming performances
 CHANGED: Prevent display or computer to sleep during playback
 CHANGED: FAAD library updated to rev 2.2.7
 CHANGED: libpng updated to release 1.2.38 (fix security bug)
 CHANGED: Playlist file is now saved in the MPC-HC folder (patch # 2671496)
 CHANGED: frame by frame modify to support step frame back functionality
          (except for VMR9)
 CHANGED: support for AC3 in MP4 files created with Nero Digital
 CHANGED: EVR Custom and VMR9 Renderless revamped (Beliyaal),
          better synchronization, remove tearing in windowed mode,
          support for dialog box in DirectX exclusive mode, ...
 FIXED  : Support for Theora stream in Ogg internal splitter
 FIXED  : Save thumbnails crash in x64
 FIXED  : Bugs on presentation graphics
          (missing subtitles, better synchronization)
 FIXED  : Audio change on M2TS files reset the selected subtitle
 FIXED  : Switch to "Minimal view" reset main menu language to English
 FIXED  : Bug in MPEG splitter for VC1
 FIXED  : Maximum texture resolution to "Desktop" not working with Haali
          renderer (Bug #2456735)
 FIXED  : Better synchronization with EVR Custom to improve playback smoothness
 FIXED  : 24 bits LPCM not properly play
 FIXED  : Possible deadlock with Reclock
 FIXED  : Support of framestep backward, even if the codec didn't support it
          natively (bug #2600542)
 FIXED  : DXVA decoder support multiple graphics cards
          (PCI vendor id detection on the fly)
 FIXED  : Incorrect aspect ratio for some H.264 files with DXVA1 decoder
          (extended SAR)
 FIXED  : H.264 files with 16 reference frames freeze during playback
          (bug #2795785 and #2784256)
 FIXED  : AVI with H.264 not decoded properly (bug #2794854)
 FIXED  : Revamped DXVA H.264 decoder based on new insights, fixing black screen
          macroblock, support for AVI, ...
 FIXED  : Incorrect playback for padded DTS
 FIXED  : Hang when moving player between monitors


v1.2.908.0 - 30 November 2008
=============================
 NEW    : support Multi-Monitor configuration, select Monitor for full-screen
          playback
 NEW    : a minidump file is created when MPC-HC crashes
 NEW    : Simplified Chinese & Traditional Chinese translations
 NEW    : Pixel shader to convert BT601 -> BT701 (request #1911511)
 NEW    : YV12 Chroma Upsampling pixel shader added
          (http://forum.doom9.org/showthread.php?p=1184975#post1184975)
 NEW    : Recursively adding directories to the Playlist
          (feature request #2013805), add as New Menu item
 NEW    : Support for M2TS presentation graphics streams
          (only for EVR Custom and VMR9 Renderless)
 NEW    : Command line switches "/startpos hh:mm:ss.ff", "/dvdpos title#chapter"
          and "/dvdpos title#hh:mm:ss.ff" to start playback to position
 NEW    : Different icons for each format associated with MPC-HC
 NEW    : support H.264 and AAC in FLV splitter
 CHANGED: Add VIRTKEY for "Save Thumbnails" (request #1964399)
 CHANGED: Store the settings for the internal DXVA/FFmpeg decoders
          in a different value than the other internal decoders. This makes
          the settings better interchangeable with older MPC-HC builds.
          Also gives more room in the bitvector for adding more decoders
          in the future (FFmpeg based)
 CHANGED: PAR correction option (for anamorphic video)in VSFilter
          and RealText support
 CHANGED: Updated liba52 & libdts libraries
 CHANGED: The x64 version of MPCVideodec is now built using GCC/MinGW64
          (improves performance)
 CHANGED: GUI option for Explorer Context menu->Files (see Formats Page)
 CHANGED: GUI option for Explorer Context menu->Directory (see Formats Page)
 CHANGED: Open directory (shell context menu or MPC-HC menu) -
          load only enqueues audio/video files, those with file extensions
          from the Formats page in MPC-HC options
 CHANGED: Replaced command line switches /unregvid and /unregaud with
          a new switch /unregall. This cleans up all file associations,
          including image/playlist formats
 CHANGED: Change in VideoDecoder Settings for rev.681 (read AR from stream)
 CHANGED: Open DVD detect and open Blu-Ray main movie
 CHANGED: EAC3 support in MPEG splitter
 CHANGED: Number of files and DVD position increase from 5 to 20 (req #1819709)
 CHANGED: Bypass of UOPs for DVD (req #1811508). This feature didn't work
          for the x64 build
 CHANGED: libpng updated to release 1.2.32 (fixes a memory leak)
 FIXED  : Chapter message improperly displayed in status bar (for file only)
 FIXED  : Crash with CoreAVC when changing "preferred decoder" setting
          during playback
 FIXED  : Missing checkmarks on "tearing test" and "display stats" options
         (bug #2010857)
 FIXED  : Save image/thumbnail not working with EVR (bug #2010681)
 FIXED  : Workaround to prevent GraphEdit crash when MPCVideoDec.ax
          was registered.
          (when opening menu "Graph/Insert filter/Direct show filters")
 FIXED  : Fix rare seeking issue with VobSub in VSFilter
 FIXED  : Subtitle style not save in settings
 FIXED  : random freeze when using MPC-HC, VSFilter and Haali renderer
          at the same time
 FIXED  : shortcuts with MEDIA_PLAY, MEDIA_PAUSE not working with some
          remote controls
 FIXED  : shortcuts label in "Option / Key" dialog box is now localized
 FIXED  : MPC-HC file association cleanup bug (rev.731), these commands
          are not working: mplayerc /unregvid, mplayerc /unregaud
 FIXED  : Freeze when playing MPEG-2 or Xvid file
 FIXED  : Remember position not working with some DVDs
 FIXED  : DXVA decoder now support H.264 interlaced video
 FIXED  : Crash/black screen with DXVA decoder with some ATI cards
 FIXED  : Incorrect aspect ratio with some H.264 files (extended SAR)


v1.1.604.0 - 28 June 2008
=========================
 NEW    : Subtitle delay support (this one does not modify the subtitle file)
 NEW    : Polish, Ukrainian, Italian & Slovak translations
 NEW    : Support for M2TS files with H.264, VC1, AC3, DTS, LPCM
 NEW    : MPEG-2 support for x64 edition
 CHANGED: Improved support for audio and subtitle switching with the
          internal MPEG splitter
 CHANGED: Size shrink for the translation DLLs
 CHANGED: New property page for "MPC - Video decoder" standalone filter
          to select activated codecs
 CHANGED: Option added in "MPC - Video Decoder" property page to disable
          FFmpeg software decoding (to use other decoder instead)
 CHANGED: Added file extensions EVO, M2TS and M4A in option / format
 CHANGED: Force using 3D surface with EVR Custom Presenter
 CHANGED: x64 executable is now named mplayerc64.exe
 FIXED  : Sorenson video was not played when DXVA was activated
 FIXED  : Minimum EVR buffer set to 3 (instead of 1)
 FIXED  : Better subtitle synchronization with EVR Custom Presenter
          (delay due to buffering remove)
 FIXED  : DXVA compatibility improved with some NVIDIA cards
 FIXED  : Reported subtitle fixes from Guliverkli2
 FIXED  : Incorrect colors with DXVA internal decoder for H.264 files
          with multiple PPS / SPS settings
 FIXED  : Broken FLV playback
 FIXED  : EVR Custom Presenter incompatibility with Microsoft MPEG-2
          and CyberLink decoder
 FIXED  : DXVA decoding bugs for some H.264 files
 FIXED  : Memory leak in the DXVA decoder (bug #1962448)
 FIXED  : Crash on stop/play with the DXVA decoder
 FIXED  : Random crash with EVR Custom Presenter
 FIXED  : Macroblocks with NVIDIA card
          (appear on H.264 streams with custom quantization matrix)
 FIXED  : Access violation using VSFilter as AviSynth plugin
 FIXED  : Some H.264 streams was not recognized by internal MPEG splitter
          (PPS and SPS present on different packets)
 FIXED  : Black screen when OSD or subtitles was displayed in x64 release
 FIXED  : Wrong Aspect Ratio when using "Save thumbnails" with EVR CP


v1.1.0.0 - 6 March 2008
=======================
 NEW    : Custom presenter now support DXVA2, and display hardware acceleration
          mode in Jitter test information
 NEW    : Internal video decoder based on FFmpeg for Flash video
          (FLV4, VP5, VP6), AMV, MPEG4, SQV, Theora, VC1, XVID, and DivX
 NEW    : Internal video decoder H.264 with DXVA 1 acceleration
          (using VMR9 or overlay on XP) and DXVA2 (using EVR on Vista)
 NEW    : Korean translation
 CHANGED: FAAD library updated to 2.6
 CHANGED: Standalone filter renamed to be prefixed by "MPC - xxx"
 CHANGED: CSS classes added in WebServer (request #1885296)
 FIXED  : Incorrect colors on video when using YUV mixing
          and "VMR Color controls"
 FIXED  : PN31 driver installation was not working
 FIXED  : MPC-HC graph manager now use the same filter priority as WMP
          and GraphEdit (clsid's patch)
 FIXED  : MPC-HC is now recognized as an application by SUMo
          (http://www.kcsoftwares.com/index.php?sumo)
 FIXED  : Ghost horizontal and vertical lines with Pixel Shader resizer
          (especially on ATI graphics card)
 FIXED  : Crash in FLV splitter with file containing 0 bytes packets
 FIXED  : Button "Video" in format property page didn't select images anymore
 FIXED  : No sound in some FLV video with Nellymoser audio track
 FIXED  : Multimedia keys (mute, vol+-, ...)
          was captured by MPC-HC even if option "global media keys" was off
 FIXED  : YUV mixing is now disable with Vista
          (not supported by Vista VMR9, and cause black screen)


v1.0.11.0 - 14 October 2007
===========================
 NEW    : Command Line Option "/dubdelay" applies a positive or negative
          audio delay of ???ms, if filename contains "DELAY ???ms"
          (internal Audio Switcher required)
 NEW    : Russian, Turkish, Czech, Spanish and Hungarian translations
 NEW    : Internal AVI splitter support AMV files
          (need an ffdshow update to decode)
 CHANGED: File type association. MPC-HC is now recognized as a registered media
          player application. File type registration now compatible with UAC (Vista)
 CHANGED: Matroska internal subtitles are not loaded
          if "auto-load subtitles" option is off
 CHANGED: Allow DirectShow to use a disabled internal source
          and transform filters when no other suitable filter is available
 FIXED  : Subtitle popup menu not working in French
 FIXED  : "Remember file position" option is not working properly
          in playlist mode
 FIXED  : Crash when opening "Navigation" menu while playing DVD
          (German locale only)
 FIXED  : Memory leak with window resize
 FIXED  : Many GUI related things
 FIXED  : Crash when opening zero byte length MP3 files
 FIXED  : Crash when using "Save thumbnails" with number of row or column
          greater than 8 (now internally limited to 8)


v1.0.10.0 - 15 September 2007
=============================
 CHANGED: Latest clsid's patches (Bento4 0.9.3, FAAD2 2.6b, dtsdec 0.0.2,
          libmad 0.15.1b, zlib 1.2.3, MPEG decoder: progressive frames fix,
          MPEG decoder: DSUtil interlaced fix v2)
 CHANGED: libpng 1.2.20
 NEW    : Command Line Option "/d3dfs" to start MPC-HC in D3D Fullscreen mode
 NEW    : Logitech LCD support (e.g. G15 keyboard)
 CHANGED: Remember File and DVD position works only when "Keep history"
          is active (preserve privacy issue)
 CHANGED: Kick off Screen Saver from Power Options only while video is playing
          (Vista)
 NEW    : Build for x64 platforms
 NEW    : Multilingual support for English, French and German
 CHANGED: DirectX SDK updated to August 2007 (v35)
 FIXED  : Wrong Aspect Ratio with EVR CP (definitely i hope :-)
 FIXED  : Internal MPEG-2 Decoder was not working with EVR and EVR CP
 FIXED  : Audio sync problems with Blu-Ray/HD DVD DTS files
          [wrong AvgTimePerFrame calculation for DTS and AC3 (madshi)]
 FIXED  : OSD was not working when D3DX9_XX dll was not present
          (random pixels shown in top of video)
 FIXED  : Mouse now working in DVD menu with EVR Custom Presenter (Vista)
 FIXED  : FLV Splitter when video does not start with keyframe
 FIXED  : Vulnerability CAL-20070912-1 in AVI Source Filter
          (arbitrary code execute with users privileges)
 FIXED  : Vulnerability in FLI internal source filter


v1.0.9.0 - 14 July 2007
=======================
 CHANGED: OSD improved for EVR Custom Presenter
 FIXED  : EVR Custom Presenter rendering thread stability
 FIXED  : EVR Custom Presenter doesn't need mfplat.dll anymore
          (the dll is installed with WMP 11)
 NEW    : Exit Option in popup menu
 FIXED  : Use same registry key like original Gabest Media Player Classic
 FIXED  : Freeze when playing audio only file with EVR Custom Presenter
 FIXED  : Wrong Aspect Ratio with anamorphic video using EVR Custom Presenter
 FIXED  : When Video pause, frame stepping with EVR Custom Presenter started
          video playback at normal speed
 FIXED  : Save thumbnail with EVR Custom Presenter froze MPC-HC
 FIXED  : FLV splitter did not read width and height out of metadata
          (thanks to Chobits for this fix)
 FIXED  : If more than one subtitle text rows shown, the background
          ("Outline" color) vertically overlapped the other one


v1.0.8.0 - 31 May 2007
======================
 NEW    : Kick off Screen Saver from Power Options, only when MPC-HC has focus
          (Vista)
 FIXED  : Jitter test was not displayed with some files
 FIXED  : Crash if statistics should be displayed, when d3dx9_29.dll
          was not present
 FIXED  : Possible crash when closing file, while OSD was displayed
 FIXED  : DVD menu freeze with EVR CP and NVIDIA Pure Video decoder (Win XP)
 FIXED  : Mouse-click to play not working at the bottom of video
 FIXED  : MKV internal subtitles were not displayed from time to time
 FIXED  : Video disappeared when moving MPC-HC to other screen
          with EVR Custom Presenter on dual display


v1.0.7.0 - 27 May 2007
======================
 NEW    : "EVR Custom Presenter" mode added as output renderer. In this mode
          EVR supports internal MPC-HC subtitles, D3D Fullscreen, tearing test
          and Pixels Shaders
 NEW    : Statistics option currently displays the jitter curve
          (Ctrl + J to activate) for VMR9 Renderless and EVR Custom Presenter
 CHANGED: Output property page, options now are disabled when not supported
          by the selected renderer
 FIXED  : Mouse cursor invisible in Fullscreen mode
 FIXED  : Mouse-click to play was not working with some renderers
 FIXED  : A one pixel width rectangle was not displayed around the video window
          (refresh problem)
 FIXED  : Crash when switching from VMR9 Renderless to VRM7 Renderless (Vista)


v1.0.6.0 - 07 May 2007
======================
 NEW    : VP62 codec internal filter re-activated
 NEW    : MPEG4 splitter internal filter re-activated
 CHANGED: _xxl patches included (VP62 codec internal filter, MPEG4 splitter
          internal filter)
 FIXED  : Window "flashing" during resize, after video loaded


v1.0.5.0 - 05 May 2007
======================
 NEW    : MPC-HC is now Vista ready, added Enhanced Video Renderer (EVR) with OSD support
 NEW    : Shuttle PN31 Remote Control support
 NEW    : Subtitle synchronization with keyboard shortcuts or remote control
 FIXED  : Fixed bug at internal filter property page


v1.0.4.0 - 09 May 2006
======================
 CHANGED: OSD improvement
 NEW    : Remaining time displayed (Ctrl + I or "Remaining_Time" with WinLIRC)
 NEW    : OSD Fast forward / rewind speed display
 CHANGED: OSD FF/Rew for DVD playback: slow forward replaced by rewind,
          no more predefined speed limits (feature depends on MPEG-2 decoder
          capabilities)
 FIXED  : Taskbar Display bug in D3D Fullscreen mode
 FIXED  : Mouse cursor invisible in D3D Fullscreen mode


v1.0.3.0 - 02 May 2006
======================
 NEW    : YUV mixer mode for VMR9
 NEW    : OSD for VMR9 output for languages selection
 NEW    : "DVD Menu Activate" can also be used to start playback
          (useful when using remote control via WinLIRC)
 FIXED  : Aspect Ratio bug in D3D Fullscreen mode


v1.0.2.0 - 23 April 2006
========================
 CHANGED: D3D Fullscreen mode improved
 FIXED  : VMR9 Color control bug


v1.0.1.0 - 09 April 2006
========================
 NEW    : DVD open dialog now allows selecting the source folder or drive
 NEW    : Possibility to save video position for the last 5 DVDs and/or files
          to resume playback at this position when MPC-HC is restarted
 NEW    : Shortcut to inhibit Pixel Shaders (Ctrl + P). Only additional
          Pixel Shaders effects are concerned (always used if resize active)


v1.0.0.0 - 29 March 2006
========================
 NEW    : Color control option for VMR renderer
 NEW    : Automatically reload Pixel Shaders at startup
 NEW    : Tearing test function (Ctrl+T): displays 2 moving bars
          (useful to also show judder)
